DirStateFactory.Result (Java Platform SE 8 )
Keywords: javax.naming.spi.DirStateFactory.Result class
Date: 2026-07-22

compact3
javax.naming.spi

## Class DirStateFactory.Result

- java.lang.Object
- - javax.naming.spi.DirStateFactory.Result

- Enclosing interface:
    DirStateFactory

      public static class DirStateFactory.Result
      extends Object

  An object/attributes pair for returning the result of DirStateFactory.getStateToBind().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result(Object obj, Attributes outAttrs)` Constructs an instance of Result.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attributes` | `getAttributes()` Retrieves the attributes to be bound.
    `Object` | `getObject()` Retrieves the object to be bound.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Result

          public Result(Object obj,
                        Attributes outAttrs)

      Constructs an instance of Result.
      Parameters:
        `obj` - The possibly null object to be bound.
        `outAttrs` - The possibly null attributes to be bound.

  - ### Method Detail

    - #### getObject

          public Object getObject()

      Retrieves the object to be bound.
      Returns:
        The possibly null object to be bound.

    - #### getAttributes

          public Attributes getAttributes()

      Retrieves the attributes to be bound.
      Returns:
        The possibly null attributes to be bound.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.